export declare class BaseComponent {
    id: number;
    properties: any;
    constructor();
    clone(): BaseComponent;
}
export interface Component {
    id: number;
    properties: any;
    clone(): BaseComponent;
    new (): BaseComponent;
}
